|  | Home · All Classes · Modules

# QStyleOptionFrameV3 Class Reference
[QtGui module]

The QStyleOptionFrameV3 class is used to describe the parameters necessary for drawing a frame in Qt 4.1 or above. More...

Inherits QStyleOptionFrameV2.

### Types

- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleOptionFrameV3)
- __init__ (self, QStyleOptionFrame)

### Members

- QFrame.Shape frameShape
- int unused

## Detailed Description

The QStyleOptionFrameV3 class is used to describe the parameters necessary for drawing a frame in Qt 4.1 or above.

QStyleOptionFrameV3 inherits QStyleOptionFrameV2

An instance of the QStyleOptionFrameV3 class has type SO_Frame and version 3. The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles. The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also QStyleOptionFrameV2 and QStyleOption.

## Type Documentation

### QStyleOptionFrameV3.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionFrameV3.Version` | `3` | 3

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleOptionFrameV3.__init__ (self)

Constructs a QStyleOptionFrameV3 object.

### QStyleOptionFrameV3.__init__ (self, QStyleOptionFrameV3)

Constructs a QStyleOptionFrameV3 copy of the other style option.

### QStyleOptionFrameV3.__init__ (self, QStyleOptionFrame)

Constructs a QStyleOptionFrameV3 copy of the other style option which can be either of the QStyleOptionFrameV3 or QStyleOptionFrame types.

If the other style option's version is 1, the new style option's FrameFeature value is set to QStyleOptionFrameV2.None. If its version is 2 or lower, QStyleOptionFrameV3.frameShape value is QFrame.NoFrame

See also version.

## Member Documentation

### QFrame.Shape frameShape

This variable holds this property holds the frame shape value of the frame.

See also QFrame.frameShape.

### int unused